org.eclnt.jsfserver.elements.impl

## Interface IFIXGRIDItem

- All Known Implementing Classes:
    ARRAYGRIDItem, DynBeanTreeUI.TreeNode, DynBeanUI.GridItem, DynBeanUI.GridItemSimpleDataType, FIXGRIDBeanItem, FIXGRIDItem, FIXGRIDPivotItem, FIXGRIDTreeItem, GridDetails.ColumnItem, IdAttributesSelection.IdAttributesLine, IdTextSelection.IdTextLine, ImageSelection.MyRow, LogViewer.AllGridItem, LogViewer.FileGridItem, LogViewer.GridItem, ProfilingViewer.ProfilingFilesItem, ProfilingViewer.ProfilingGridItem, ROWTLCOCKPITBinding.TlgridItem, SC_FIXGRIDItem, ServerFileBrowser.TreeNode, SPANGRIDItem, StreamStoreTreeUI.TreeNode, Wizard.MyRow, WorkplaceFunctionSearchUI.GridItem, WorkplaceFunctionTree.FunctionNode, WorkplacePerspectiveManager.PerspectiveGridItem

      public interface IFIXGRIDItem

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assignRowComponent(UIComponent rowComponent)`
    `long` | `getRequestFocus()`
    `boolean` | `getSelected()`
    `void` | `onRowDeselect()`
    `void` | `onRowDrop(BaseActionEventDrop event)`
    `void` | `onRowExecute()`
    `void` | `onRowPopupMenuItem(BaseActionEventPopupMenuItem event)`
    `void` | `onRowPopupMenuLoad(BaseActionEventPopupMenuLoad event)`
    `void` | `onRowSelect()`
    `void` | `requestFocus()`
    `void` | `setSelected(boolean value)`
    `void` | `unrequestFocus()`

- - ### Method Detail

    - #### setSelected

          void setSelected(boolean value)

    - #### getSelected

          boolean getSelected()

    - #### getRequestFocus

          long getRequestFocus()

    - #### requestFocus

          void requestFocus()

    - #### unrequestFocus

          void unrequestFocus()

    - #### onRowSelect

          void onRowSelect()

    - #### onRowDeselect

          void onRowDeselect()

    - #### onRowExecute

          void onRowExecute()

    - #### onRowDrop

          void onRowDrop(BaseActionEventDrop event)

    - #### onRowPopupMenuItem

          void onRowPopupMenuItem(BaseActionEventPopupMenuItem event)

    - #### onRowPopupMenuLoad

          void onRowPopupMenuLoad(BaseActionEventPopupMenuLoad event)

    - #### assignRowComponent

          void assignRowComponent(UIComponent rowComponent)

Copyright © CaptainCasa Gmbh. All Rights Reserved.